The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Yum update has tons of stuff

Discussion in 'General Discussion' started by bluerayconcepts, Nov 12, 2014.

  1. bluerayconcepts

    bluerayconcepts Active Member

    Joined:
    Mar 24, 2013
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Yuba City, CA
    cPanel Access Level:
    Root Administrator
    I went to do a yum update today and was expecting the kernel update and maybe a couple other things and was very suprised to see a 100+ things that need updating. I found this odd because normally its only a couple things dealing with the kernel and one or two things not updated by CPanel or Cloudlinux. I checked the repositories to make sure there were none out of the ordinary and there weren't.

    I have one server that we run cloudlinux on and the other just normal cpanel on top of centos 6. They both seem to want to update the same files which i find odd because Cpanel has its own files and keeps them updated. Is this cause because the base install of the OS had some extra packages installed at the time of isntallation.

    Code:
    Downloading Packages:
    (1/45): perl-5.10.1-136.el6_6.1.x86_64.rpm                                                                                                                                                                            |  10 MB     00:00
    (2/45): perl-Archive-Extract-0.38-136.el6_6.1.x86_64.rpm                                                                                                                                                              |  41 kB     00:00
    (3/45): perl-Archive-Tar-1.58-136.el6_6.1.x86_64.rpm                                                                                                                                                                  |  73 kB     00:00
    (4/45): perl-CGI-3.51-136.el6_6.1.x86_64.rpm                                                                                                                                                                          | 209 kB     00:00
    (5/45): perl-CPAN-1.9402-136.el6_6.1.x86_64.rpm                                                                                                                                                                       | 246 kB     00:00
    (6/45): perl-CPANPLUS-0.88-136.el6_6.1.x86_64.rpm                                                                                                                                                                     | 307 kB     00:00
    (7/45): perl-Compress-Raw-Bzip2-2.021-136.el6_6.1.x86_64.rpm                                                                                                                                                          |  46 kB     00:00
    (8/45): perl-Compress-Raw-Zlib-2.021-136.el6_6.1.x86_64.rpm                                                                                                                                                           |  69 kB     00:00
    (9/45): perl-Compress-Zlib-2.021-136.el6_6.1.x86_64.rpm                                                                                                                                                               |  45 kB     00:00
    (10/45): perl-Digest-SHA-5.47-136.el6_6.1.x86_64.rpm                                                                                                                                                                  |  64 kB     00:00
    (11/45): perl-ExtUtils-CBuilder-0.27-136.el6_6.1.x86_64.rpm                                                                                                                                                           |  48 kB     00:00
    (12/45): perl-ExtUtils-Embed-1.28-136.el6_6.1.x86_64.rpm                                                                                                                                                              |  31 kB     00:00
    (13/45): perl-ExtUtils-MakeMaker-6.55-136.el6_6.1.x86_64.rpm                                                                                                                                                          | 293 kB     00:00
    (14/45): perl-ExtUtils-ParseXS-2.2003.0-136.el6_6.1.x86_64.rpm                                                                                                                                                        |  45 kB     00:00
    (15/45): perl-File-Fetch-0.26-136.el6_6.1.x86_64.rpm                                                                                                                                                                  |  41 kB     00:00
    (16/45): perl-IO-Compress-Base-2.021-136.el6_6.1.x86_64.rpm                                                                                                                                                           |  69 kB     00:00
    (17/45): perl-IO-Compress-Bzip2-2.021-136.el6_6.1.x86_64.rpm                                                                                                                                                          |  48 kB     00:00
    (18/45): perl-IO-Compress-Zlib-2.021-136.el6_6.1.x86_64.rpm                                                                                                                                                           | 135 kB     00:00
    (19/45): perl-IO-Zlib-1.09-136.el6_6.1.x86_64.rpm                                                                                                                                                                     |  33 kB     00:00
    (20/45): perl-IPC-Cmd-0.56-136.el6_6.1.x86_64.rpm                                                                                                                                                                     |  46 kB     00:00
    (21/45): perl-Locale-Maketext-Simple-0.18-136.el6_6.1.x86_64.rpm                                                                                                                                                      |  31 kB     00:00
    (22/45): perl-Log-Message-0.02-136.el6_6.1.x86_64.rpm                                                                                                                                                                 |  46 kB     00:00
    (23/45): perl-Log-Message-Simple-0.04-136.el6_6.1.x86_64.rpm                                                                                                                                                          |  28 kB     00:00
    (24/45): perl-Module-Build-0.3500-136.el6_6.1.x86_64.rpm                                                                                                                                                              | 230 kB     00:00
    (25/45): perl-Module-CoreList-2.18-136.el6_6.1.x86_64.rpm                                                                                                                                                             |  65 kB     00:00
    (26/45): perl-Module-Load-0.16-136.el6_6.1.x86_64.rpm                                                                                                                                                                 |  28 kB     00:00
    (27/45): perl-Module-Load-Conditional-0.30-136.el6_6.1.x86_64.rpm                                                                                                                                                     |  34 kB     00:00
    (28/45): perl-Module-Loaded-0.02-136.el6_6.1.x86_64.rpm                                                                                                                                                               |  27 kB     00:00
    (29/45): perl-Module-Pluggable-3.90-136.el6_6.1.x86_64.rpm                                                                                                                                                            |  40 kB     00:00
    (30/45): perl-Object-Accessor-0.34-136.el6_6.1.x86_64.rpm                                                                                                                                                             |  37 kB     00:00
    (31/45): perl-Package-Constants-0.02-136.el6_6.1.x86_64.rpm                                                                                                                                                           |  26 kB     00:00
    (32/45): perl-Params-Check-0.26-136.el6_6.1.x86_64.rpm                                                                                                                                                                |  35 kB     00:00
    (33/45): perl-Parse-CPAN-Meta-1.40-136.el6_6.1.x86_64.rpm                                                                                                                                                             |  29 kB     00:00
    (34/45): perl-Pod-Escapes-1.04-136.el6_6.1.x86_64.rpm                                                                                                                                                                 |  32 kB     00:00
    (35/45): perl-Pod-Simple-3.13-136.el6_6.1.x86_64.rpm                                                                                                                                                                  | 212 kB     00:00
    (36/45): perl-Term-UI-0.20-136.el6_6.1.x86_64.rpm                                                                                                                                                                     |  39 kB     00:00
    (37/45): perl-Test-Harness-3.17-136.el6_6.1.x86_64.rpm                                                                                                                                                                | 231 kB     00:00
    (38/45): perl-Test-Simple-0.92-136.el6_6.1.x86_64.rpm                                                                                                                                                                 | 112 kB     00:00
    (39/45): perl-Time-HiRes-1.9721-136.el6_6.1.x86_64.rpm                                                                                                                                                                |  48 kB     00:00
    (40/45): perl-Time-Piece-1.15-136.el6_6.1.x86_64.rpm                                                                                                                                                                  |  46 kB     00:00
    (41/45): perl-core-5.10.1-136.el6_6.1.x86_64.rpm                                                                                                                                                                      |  23 kB     00:00
    (42/45): perl-devel-5.10.1-136.el6_6.1.x86_64.rpm                                                                                                                                                                     | 423 kB     00:00
    (43/45): perl-libs-5.10.1-136.el6_6.1.x86_64.rpm                                                                                                                                                                      | 578 kB     00:00
    (44/45): perl-parent-0.221-136.el6_6.1.x86_64.rpm                                                                                                                                                                     |  27 kB     00:00
    (45/45): perl-version-0.77-136.el6_6.1.x86_64.rpm                                                                                                                                                                     |  51 kB     00:00
    
    THey both fail yum update on the following.



    Code:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    httpd-mmn = 20051115 is needed by mod_wsgi-3.2-7.el6.x86_64
    ** Found 5 pre-existing rpmdb problem(s), 'yum check' output follows:
    1:mod_ssl-2.2.15-31.el6.centos.x86_64 has missing requires of httpd
    1:mod_ssl-2.2.15-31.el6.centos.x86_64 has missing requires of httpd = ('0', '2.2.15', '31.el6.centos')
    1:mod_ssl-2.2.15-31.el6.centos.x86_64 has missing requires of httpd-mmn = ('0', '20051115', None)
    mod_wsgi-3.2-6.el6_5.x86_64 has missing requires of httpd-mmn = ('0', '20051115', None)
    webalizer-2.21_02-3.3.el6.x86_64 has missing requires of httpd
     
  2. mctDarren

    mctDarren Well-Known Member

    Joined:
    Jan 6, 2004
    Messages:
    664
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    New Jersey
    cPanel Access Level:
    Root Administrator
    #2 mctDarren, Nov 12, 2014
    Last edited: Nov 12, 2014
    MaraBlue likes this.
  3. bluerayconcepts

    bluerayconcepts Active Member

    Joined:
    Mar 24, 2013
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Yuba City, CA
    cPanel Access Level:
    Root Administrator
    No thats the non cloudlinux one although the cloud linux server had just as many and they were all the same and errored out on the same files. I had talked to CPanel support while back about a similar issue (much less files requiring update) and they said they could just be removed as CPanel had its own packages.

    I just find it odd that the OS has this many updates available.

    As a test I yum removed webalizer and then checked cpanel and its webalizer is still running. While webalizer is of less importance than say modssl it did show they were separate.

    I further removed the mod_ssl and modwsgi on our smaller server and yum update went fine. From my past conversation with CPanel support on this similar subject these are not needed for CPanel to run think as CPanel is still up and running with out them.
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Yes, it looks like it was a standard installation of CentOS instead of the recommended minimal installation of CentOS that lead to those package update requests. It's true that Apache is handled through EasyApache so RPMs such as mod_ssl are not handled through YUM.

    Thank you.
     
  5. bluerayconcepts

    bluerayconcepts Active Member

    Joined:
    Mar 24, 2013
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Yuba City, CA
    cPanel Access Level:
    Root Administrator
    Yeah I could have sworn I did the minimal install. Not sure how I flubbed that one up. THanks
     
Loading...

Share This Page